## gammaray 2.9.0

=== ui/CMakeLists.txt ===
#
# Shared code between in-process and out-of-process UI
#
set(gammaray_ui_srcs
  aboutdata.cpp
  aboutwidget.cpp
  themedimagelabel.cpp
  clientdecorationidentityproxymodel.cpp
  clienttoolmanager.cpp
  clienttoolmodel.cpp
  contextmenuextension.cpp
  deferredtreeview.cpp
  editabletypesmodel.cpp
  itemdelegate.cpp
  methodinvocationdialog.cpp
  modelpickerdialog.cpp
  palettemodel.cpp
  propertybinder.cpp
  propertywidget.cpp
  propertywidgettab.cpp
  proxytooluifactory.cpp
  visibilityfilterproxymodel.cpp
  splashscreen.cpp
  searchlinecontroller.cpp
  tooluifactory.cpp
  uiintegration.cpp
  uistatemanager.cpp
  uiresources.cpp
  remoteviewwidget.cpp
  trailingcolorlabel.cpp
  helpcontroller.cpp

  paintanalyzerwidget.cpp
  paintanalyzerreplayview.cpp
  paintbufferclientmodel.cpp
  paintbufferviewer.cpp

  propertyeditor/propertycoloreditor.cpp
  propertyeditor/propertydoublepaireditor.cpp
  propertyeditor/propertyeditorfactory.cpp
  propertyeditor/propertyextendededitor.cpp
  propertyeditor/propertyfonteditor.cpp
  propertyeditor/propertyintpaireditor.cpp
  propertyeditor/propertypaletteeditor.cpp
  propertyeditor/palettedialog.cpp
  propertyeditor/propertyeditordelegate.cpp
  propertyeditor/propertyenumeditor.cpp
  propertyeditor/propertymatrixdialog.cpp
  propertyeditor/propertymatrixeditor.cpp
  propertyeditor/propertymatrixmodel.cpp
  propertyeditor/propertytexteditor.cpp
  propertyeditor/propertyrecteditor.cpp

  codeeditor/codeeditor.cpp
  codeeditor/codeeditorsidebar.cpp

  tools/messagehandler/messagedisplaymodel.cpp
  tools/messagehandler/messagehandlerwidget.cpp
  tools/messagehandler/messagehandlerclient.cpp
  tools/metaobjectbrowser/metaobjectbrowserwidget.cpp
  tools/metaobjectbrowser/metaobjecttreeclientproxymodel.cpp
  tools/metatypebrowser/metatypebrowserwidget.cpp
  tools/metatypebrowser/metatypesclientmodel.cpp
  tools/metatypebrowser/metatypebrowserclient.cpp
  tools/objectinspector/objectinspectorwidget.cpp
  tools/objectinspector/propertiestab.cpp
  tools/objectinspector/propertiesextensionclient.cpp
  tools/objectinspector/clientmethodmodel.cpp
  tools/objectinspector/methodsextensionclient.cpp
  tools/objectinspector/methodstab.cpp
  tools/objectinspector/connectionstab.cpp
  tools/objectinspector/connectionsclientproxymodel.cpp
  tools/objectinspector/connectionsextensionclient.cpp
  tools/objectinspector/enumstab.cpp
  tools/objectinspector/classinfotab.cpp
  tools/objectinspector/methodstab.cpp
  tools/objectinspector/applicationattributetab.cpp
  tools/objectinspector/bindingtab.cpp
  tools/objectinspector/stacktracetab.cpp
  tools/resourcebrowser/clientresourcemodel.cpp
  tools/resourcebrowser/resourcebrowserwidget.cpp
  tools/resourcebrowser/resourcebrowserclient.cpp
  tools/standardpaths/standardpathswidget.cpp

  resources/ui.qrc
  ${CMAKE_CURRENT_BINARY_DIR}/resources/classicons.qrc
)

add_library(gammaray_ui SHARED ${gammaray_ui_srcs})
generate_export_header(gammaray_ui)
set_target_properties(gammaray_ui PROPERTIES
  ${GAMMARAY_DEFAULT_LIBRARY_PROPERTIES}
  OUTPUT_NAME gammaray_ui-${GAMMARAY_PROBE_ABI}
)
gammaray_set_rpath(gammaray_ui ${LIB_INSTALL_DIR})

gammaray_target_relocatable_interfaces(gammaray_ui_ipaths)
target_include_directories(gammaray_ui PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}> $<INSTALL_INTERFACE:${gammaray_ui_ipaths}>)
if(HAVE_PRIVATE_QT_HEADERS)
    target_include_directories(gammaray_ui SYSTEM PRIVATE ${Qt5Widgets_PRIVATE_INCLUDE_DIRS})
else(HAVE_PRIVATE_QT_HEADERS)
  add_feature_info("QHeaderView geometry/state restoration" HAVE_PRIVATE_QT_HEADERS
    "You must have a build version of Qt available. Make sure the qmake found first in your execute comes from this build version."
  )
endif(HAVE_PRIVATE_QT_HEADERS)

target_link_libraries(gammaray_ui
  LINK_PUBLIC ${QT_QTCORE_LIBRARIES} ${QT_QTGUI_LIBRARIES} gammaray_common
  LINK_PRIVATE gammaray_common_internal gammaray_kitemmodels
)
if(TARGET KF5::SyntaxHighlighting)
  target_link_libraries(gammaray_ui LINK_PRIVATE KF5::SyntaxHighlighting)
endif()

set(gammaray_ui_internal_srcs
  sidepane.cpp
  aboutpluginsdialog.cpp
  mainwindow.cpp
  clienttoolfilterproxymodel.cpp
  aboutdialog.cpp
)

add_library(gammaray_ui_internal STATIC ${gammaray_ui_internal_srcs})
set_target_properties(gammaray_ui_internal PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_include_directories(gammaray_ui_internal SYSTEM PRIVATE ${Qt5Gui_PRIVATE_INCLUDE_DIRS})
target_link_libraries(gammaray_ui_internal
  ${QT_QTCORE_LIBRARIES}
  ${QT_QTGUI_LIBRARIES}
  gammaray_common_internal
  gammaray_ui
  gammaray_kitemmodels
)

if(NOT GAMMARAY_DISABLE_FEEDBACK)
    target_link_libraries(gammaray_ui_internal gammaray_kuserfeedback)
endif()

if(NOT GAMMARAY_PROBE_ONLY_BUILD)
  install(TARGETS gammaray_ui EXPORT GammaRayTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

  gammaray_install_headers(
    ${CMAKE_CURRENT_BINARY_DIR}/gammaray_ui_export.h
    clientdecorationidentityproxymodel.h
    clienttoolmanager.h
    propertyeditor/propertyeditordelegate.h
    propertywidget.h
    propertywidgettab.h
    tooluifactory.h
    uiintegration.h
    uistatemanager.h
    uiresources.h
  )

  ecm_generate_pri_file(BASE_NAME GammaRayUi
                        LIB_NAME gammaray_ui-${GAMMARAY_PROBE_ABI}
                        DEPS "core gui widgets GammaRayCommon"
                        FILENAME_VAR PRI_FILENAME
                        INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}
  )

  install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
else()
  install(TARGETS gammaray_ui ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()
if(MSVC)
  install(FILES "$<TARGET_PDB_FILE_DIR:gammaray_ui>/$<TARGET_PDB_FILE_NAME:gammaray_ui>" DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS Debug RelWithDebInfo)
endif()
add_subdirectory(resources)

=== docs/collection/CMakeLists.txt ===
if(NOT TARGET Qt5::qcollectiongenerator)
    message(STATUS "qcollectiongenerator not found, documention collection will not be generated.")
    return()
endif()

set(manual_qch_file ${CMAKE_CURRENT_BINARY_DIR}/../manual/gammaray-manual/gammaray-manual.qch)
set(manual_qch_target gammaray-manual.qch)
if(GAMMARAY_API_DOCS_BUILD)
  set(apidocs_qch_file ${CMAKE_CURRENT_BINARY_DIR}/../api/qch/gammaray-api.qch)
  set(apidocs_qch_target gammaray-api.qch)
  set(API_DOCS_QCH_FILE_TAG "<file>gammaray-api.qch</file>")
else()
  set(apidocs_qch_file ${manual_qch_file}) # trick to make the copy command valid below
  set(apidocs_qch_target ${manual_qch_target})
  set(API_DOCS_QCH_FILE_TAG "")
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gammaray.qhcp.cmake ${CMAKE_CURRENT_BINARY_DIR}/gammaray.qhcp)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/gammaray.qhc
    COMMAND ${CMAKE_COMMAND} -E copy ${manual_qch_file} ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E copy ${apidocs_qch_file} ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND Qt5::qcollectiongenerator ${CMAKE_CURRENT_BINARY_DIR}/gammaray.qhcp -o ${CMAKE_CURRENT_BINARY_DIR}/gammaray.qhc
    DEPENDS
        ${CMAKE_CURRENT_SOURCE_DIR}/gammaray.qhcp.cmake
        ${manual_qch_target}
        ${apidocs_qch_target}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)
add_custom_target(gammaray_qhc ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gammaray.qhc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gammaray.qhc DESTINATION ${QCH_INSTALL_DIR})

=== plugins/network/CMakeLists.txt ===
# probe plugin
if (NOT GAMMARAY_CLIENT_ONLY_BUILD)
set(gammaray_network_srcs
    networksupport.cpp
    networkinterfacemodel.cpp
    networkconfigurationmodel.cpp

    cookies/cookieextension.cpp
    cookies/cookiejarmodel.cpp
)
gammaray_add_plugin(gammaray_network JSON gammaray_network.json SOURCES ${gammaray_network_srcs})
target_link_libraries(gammaray_network gammaray_core Qt5::Network)
endif()

# ui plugin
if(GAMMARAY_BUILD_UI)
  set(gammaray_network_ui_srcs
    networkwidget.cpp
    networkinterfacewidget.cpp
    networkconfigurationwidget.cpp
    clientnetworkconfigurationmodel.cpp

    cookies/cookietab.cpp
  )
  gammaray_add_plugin(gammaray_network_ui JSON gammaray_network.json SOURCES ${gammaray_network_ui_srcs})
  target_link_libraries(gammaray_network_ui gammaray_ui)
endif()

=== plugins/textdocumentinspector/CMakeLists.txt ===
# probe plugin
if (NOT GAMMARAY_CLIENT_ONLY_BUILD)
set(gammaray_textdocumentinspector_srcs
    textdocumentinspector.cpp
    textdocumentformatmodel.cpp
    textdocumentmodel.cpp
)
gammaray_add_plugin(gammaray_textdocumentinspector
    JSON gammaray_textdocumentinspector.json
    DESKTOP gammaray_textdocumentinspector.desktop
    SOURCES ${gammaray_textdocumentinspector_srcs}
)
target_link_libraries(gammaray_textdocumentinspector gammaray_core)
if(Qt5Core_FOUND)
  target_link_libraries(gammaray_textdocumentinspector Qt5::Gui)
else()
  target_link_libraries(gammaray_textdocumentinspector ${QT_GUI_LIBRARIES})
endif()
endif()

# ui plugin
if(GAMMARAY_BUILD_UI)
    set(gammaray_textdocumentinspector_ui_srcs
        textdocumentinspectorwidget.cpp
        textdocumentcontentview.cpp
    )

    gammaray_add_plugin(gammaray_textdocumentinspector_ui
        JSON gammaray_textdocumentinspector.json
        DESKTOP gammaray_textdocumentinspector_ui.desktop
        SOURCES ${gammaray_textdocumentinspector_ui_srcs}
    )
    target_link_libraries(gammaray_textdocumentinspector_ui gammaray_ui)
endif()

=== debian/changelog ===
gammaray (2.9.0-2.1ubuntu1) disco; urgency=medium

  * Backport four upstream commits to fix build with Qt 5.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 27 Mar 2019 21:53:33 +0300

gammaray (2.9.0-2.1build3) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 02 Jan 2019 12:15:30 +0300

gammaray (2.9.0-2.1build2) disco; urgency=medium

  * No-change rebuild against latest qtbase-opensource-src

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Nov 2018 15:23:34 -0500

gammaray (2.9.0-2.1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 07:39:21 -0500

gammaray (2.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
    - Rebuild with Qt 5.10 (Closes: #902098).
  * d/gammaray.install: Remove the 2nd line about *gammaray_3dinspector*
    because they don't get compiled.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 22 Jun 2018 11:35:28 +0800

gammaray (2.9.0-2) unstable; urgency=medium

  * Team upload.
  * Correct the build dependency on QtWebEngine.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Mar 2018 18:00:57 -0500

gammaray (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Import changes from Ubuntu.
  * Remove skip-test-failing-prior-qt57.patch because Qt has moved past 5.7.
  * Refresh patches.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Update Vcs-* to reflect the move to Salsa.
  * Merge changes from Neon (Closes: #874883, LP: #1757644), thanks Riddell
    and sgclark for your work!
  * In the overrides, debian-watch-may-check-gpg-signature => debian-
    watch-does-not-check-gpg-signature.
  * Fix package-uses-deprecated-source-override-location.
  * Remove get-orig-source rule.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Mar 2018 05:51:07 -0500

=== debian/control ===
Source: gammaray
Priority: optional
Section: devel
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: cmake,
               debhelper (>= 11),
               gdb,
               libgraphviz-dev,
               libkf5coreaddons-dev,
               libkf5syntaxhighlighting-dev,
               libproj-dev,
               libqt5svg5-dev,
               libqt5waylandcompositor5-dev,
               libvtk6-qt-dev [!armel !armhf],
               libwayland-dev (>= 1.12.0),
               qml-module-qtquick2,
               qt3d-assimpsceneimport-plugin,
               qt3d-defaultgeometryloader-plugin,
               qt3d-gltfsceneio-plugin,
               qt3d-scene2d-plugin,
               qt3d5-dev,
               qtbase5-private-dev,
               qtconnectivity5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtdeclarative5-private-dev,
               qtpositioning5-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               qttranslations5-l10n,
               qtwayland5,
               qtwebengine5-dev,
               xauth,
               xvfb
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt-extras/gammaray.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt-extras/gammaray
Homepage: http://www.kdab.com/gammaray

Package: gammaray
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qt3d,
         qml-module-qtquick-controls,
         qml-module-qtquick-scene3d,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gdb
Description: Tool for examining the internals of Qt application
 GammaRay is a tool for examining the internals of a Qt application and
 to some extent also manipulate it. GammaRay uses injection methods to
 hook into an application at runtime and provide access to a wide variety
 of interesting information. It provides easy ways of navigating through
 the complex internal structures you find in some Qt frameworks, such as
 QGraphicsView, model/view, QTextDocument, state machines and more.

Package: gammaray-plugin-quickinspector
Architecture: any
Depends: gammaray (= ${binary:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: gammaray
Description: GammaRay plugin for inspecting QtQuick2 applications
 This plugin provides the user with the following inspection and debugging
 facilities:
 .
  * Tree view of all QQuickItems in the scene, marking invisible items
    and items having focus.
  * Object inspector allowing to see all the properties, inspect
    signal-slot connections, and directly invoke slots and Q_INVOKABLE
    methods.
  * Live-preview of the QtQuick scene inside the GammaRay window.
  * Qt Quick scene graph inspector.

Package: gammaray-plugin-waylandinspector
Architecture: any
Depends: gammaray (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: gammaray
Description: Wayland compositor inspector plugin for GammaRay
 The Wayland compositor inspector allows one to browse QWaylandClient
 instances and their associated resources, as well as observe Wayland
 events.

Package: gammaray-plugin-kjobtracker
Architecture: any
Depends: gammaray (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: gammaray
Description: KJob tracker plugin for GammaRay
 This plugin can be used to monitor KJob instances within a KDE-based
 application.

Package: gammaray-plugin-bluetooth
Architecture: any
Depends: gammaray (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: gammaray
Description: QtBluetooth type support for GammaRay
 This plugin adds support for QtBluetooth types into GammaRay.

Package: gammaray-plugin-positioning
Architecture: any
Depends: gammaray (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: gammaray
Description: Qt5Positioning type support for GammaRay
 This plugin adds support for Qt5Positioning types into GammaRay.

Package: gammaray-dev
Architecture: any
Section: libdevel
Depends: gammaray (= ${binary:Version}), ${misc:Depends}
Description: GammaRay plugin development files
 GammaRay is a tool for examining the internals of a Qt application and
 to some extent also manipulate it. GammaRay uses injection methods to
 hook into an application at runtime and provide access to a wide variety
 of interesting information. It provides easy ways of navigating through
 the complex internal structures you find in some Qt frameworks, such as
 QGraphicsView, model/view, QTextDocument, state machines and more.
 .
 This package contains header files used for building 3rd party GammaRay
 plugins.
